<?php
namespace Claromentis\Core\Component\ValueType;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"] ?: array()) + array("_d155d43a39de93f858123c6b6ce3" . "1d8a" => base64_decode("cHJlZ19tYXRja" . "A=="), "_5e30c4717ced36c" . "ff9e93e19a5c576c" . "c" => base64_decode("aXNfc3" . "RyaW5n"), "_b471c29e7e" . "f68da56fdc4" . "511c7de5cf4" => base64_decode("L1xkezh" . "9Lw=="));




class TypeDate implements ValueType
{
    public function Serialize($value)
    {
        if ($value === null) {
            return null;
        }
        
        
        return $value->getDate(DATE_FORMAT_DATE_DAY);
    }
    public function Unserialize($_d957779c7daa148ba3e831d162d15722)
    {
        if (empty($_d957779c7daa148ba3e831d162d15722)) {
            return null;
        }
        return new \DateDay($_d957779c7daa148ba3e831d162d15722);
    }
    public function Normalize($value)
    {
        if ($value === null) {
            return null;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_5e30c4717ced36cff" . "9e93e19a5c576cc"]($value)) {
            if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_d155d43a39de93f858123c6b6ce31" . "d8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_b471c29e7ef" . "68da56fdc451" . "1c7de5cf4"], $value)) {
                $_67a0d624aebcceb0abd5ce56a53ff06f = new \DateDay($value);
            } else {
                $_67a0d624aebcceb0abd5ce56a53ff06f = \DateDay::CreateFrom($value);
            }
            $value = $_67a0d624aebcceb0abd5ce56a53ff06f;
        }
        return $value;
    }
    public function Modify($_fd536f3a4b49ad5514a4e7a5db1c6248, $_33e21c745c95d91261fc8f7b4b930af0)
    {
        return $this->Normalize($_33e21c745c95d91261fc8f7b4b930af0);
    }
}